Skip to main content
`Ctrl`+`K`

# PCBDDCGetNeumannBoundaries

Get parallel `IS` for Neumann boundaries

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetNeumannBoundaries(PC pc, IS *NeumannBoundaries)

Not Collective

## Input Parameter

- pc - the preconditioning context

## Output Parameter

- NeumannBoundaries - index set defining the Neumann boundaries

## Note

The `IS` returned (if any) is the same passed in earlier by the user with `PCBDDCSetNeumannBoundaries()`

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCSetNeumannBoundaries()`, `PCBDDCGetDirichletBoundaries()`, `PCBDDCSetDirichletBoundaries()`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Implementations

PCBDDCGetNeumannBoundaries_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages